"""
Methods for the Micado-WISE Environment
"""

from os import environ, path
from common.config.Environment import Env, ConfigFile


def init_micado_env():
    """Initialize MICADO specific Env."""

    configfiles = []
    for pathname in (
        path.join(path.dirname(__file__), 'Environment.cfg'),
        path.join(environ['HOME'], '.awe', 'Environment.cfg')
    ):
        if path.exists(pathname):
            configfiles.append(pathname)

    for configfile in configfiles:
        cfg = ConfigFile(configfile)
        Env.update(cfg.as_dict())

    for key in Env.keys():
        if key in environ:
            Env[key] = environ[key]


init_micado_env()
