# -*- coding: utf-8 -*-
"""
Automatic imports for the interpreter.
"""

from common.database.DBMain import DBObject
from common.database.DataObject import DataObject
from micado.main.RawFrame import (
     RawFrame,
     RawScienceFrame,
     BaseFrame,
)
from micado.main.Simulator import (
     ParameterNameValue,
     SimADCTC,
     SimAtmosphericTC,
     SimBase,
     SimChipLayout,
     SimDetector,
     SimDichroicTC,
     SimEntranceWindowTC,
     SimFilterTC,
     SimMirrorTC,
     SimNoiseFrame,
     SimPCA,
     SimPsf,
     SimQE,
     SimSources,
     SimTransmissionCurve,
     SimulatorParameters,
     SimulatorRun,
)

__all__ = [
    DBObject,
    DataObject,
    RawFrame,
    RawScienceFrame,
    BaseFrame,
    ParameterNameValue,
    SimADCTC,
    SimAtmosphericTC,
    SimBase,
    SimChipLayout,
    SimDetector,
    SimDichroicTC,
    SimEntranceWindowTC,
    SimFilterTC,
    SimMirrorTC,
    SimNoiseFrame,
    SimPCA,
    SimPsf,
    SimQE,
    SimSources,
    SimTransmissionCurve,
    SimulatorParameters,
    SimulatorRun,
]
