# -*- coding: utf-8 -*-
"""
Configure a test database.

Assumes a PostgreSQL database is running with user SYSTEM as administrator.
"""

from micado.config.Environment import Env
from common.toolbox.backends.postgresql.dbtestsetup import mygetpass
import getpass


if __name__ == '__main__':
    getpass_org = getpass.getpass

    from common.config.Profile import profiles
    from common.toolbox.backends.postgresql import (
        dbawoperPostgreSql,
        dbflatremakePostgreSql,
        dbgrantsPostgreSql,
        dbnewuserPostgreSQL,
    )

    if Env['ask_administrator_password'] == 'False':
        getpass.getpass = mygetpass

    # Configure the database as superuser SYSTEM
    profile = profiles.create_profile(username="system")
    from common.database.Database import database
    dbawoperPostgreSql.configure_database(1, -9, profile.password)

    dbnewuserPostgreSQL.add_user("AWTEST", "lmno")

    # Create persistent classes as AWOPER
    database.disconnect()
    profiles.create_profile(username="AWOPER")
    database.connect()

    import micado.main
    print("Classes: {}".format(micado.main.__all__))

    dbflatremakePostgreSql.create_and_execute_statements()
    dbgrantsPostgreSql.grant()

    getpass.getpass = getpass_org
